## kf6-kuserfeedback 6.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
set(KF_VERSION "6.6.0") # handled by release scripts
set(KF_DEP_VERSION "6.6.0") # handled by release scripts
project(KUserFeedback VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM ${KF_DEP_VERSION}  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

set(ENABLE_SURVEY_TARGET_EXPRESSIONS ON CACHE BOOL "Survey targeting expressions support is enabled by default.")
set(ENABLE_PHP                       ON CACHE BOOL "Syntax checking of PHP server code.")
set(ENABLE_PHP_UNIT                  ON CACHE BOOL "Unit tests for PHP server code.")
set(ENABLE_DOCS                      ON CACHE BOOL "Generate documentation.")
set(ENABLE_CONSOLE                   ON CACHE BOOL "Application console.")
set(ENABLE_CLI                       ON CACHE BOOL "Command line interface support.")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD 17)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(ECMQueryQt)
include(ECMGeneratePriFile)
include(ECMQmlModule)
include(FeatureSummary)
include(GenerateExportHeader)

include(ECMQtDeclareLoggingCategory)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KUSERFEEDBACK
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kuserfeedback_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6UserFeedbackConfigVersion.cmake"
    SOVERSION 6
)
#
# Dependencies
#

# Dependencies
set(REQUIRED_QT_VERSION 6.5.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Network)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE QUIET OPTIONAL_COMPONENTS Widgets Charts Test Qml Svg PrintSupport)
find_package(QmlLint)

if (ENABLE_DOCS)
    if (NOT CMAKE_CROSSCOMPILING)
        find_package(Qt6 NO_MODULE QUIET OPTIONAL_COMPONENTS Help)
    endif()

    find_package(Qt6 CONFIG OPTIONAL_COMPONENTS ToolsTools)
endif()

set_package_properties(Qt6 PROPERTIES URL "http://qt-project.org/")
set_package_properties(Qt6Widgets PROPERTIES TYPE RECOMMENDED PURPOSE "Required for feedback configuration and notification widgets.")
set_package_properties(Qt6Charts PROPERTIES TYPE RECOMMENDED PURPOSE "Required for UserFeedbackConsole.")

# debug suffixes for qmake compatibility
if(WIN32)
    set(CMAKE_DEBUG_POSTFIX "d")
elseif(APPLE)
    set(CMAKE_DEBUG_POSTFIX "_debug")
endif()

add_definitions(-DQT_USE_QSTRINGBUILDER -DQT_USE_FAST_OPERATOR_PLUS -DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING -DQT_NO_CAST_FROM_ASCII)

remove_definitions(-DQT_NO_FOREACH) # still uses foreach
remove_definitions(-DQT_NO_KEYWORDS)

if (ENABLE_SURVEY_TARGET_EXPRESSIONS)
    find_package(FLEX)
    set_package_properties(FLEX PROPERTIES TYPE RECOMMENDED PURPOSE "Survey target expression parser.")

    find_package(BISON)
    set_package_properties(BISON PROPERTIES TYPE RECOMMENDED PURPOSE "Survey target expression parser.")

    if(FLEX_FOUND AND BISON_FOUND)
        set(HAVE_SURVEY_TARGET_EXPRESSIONS 1)
    endif()
endif()
add_feature_info("Survey targeting expressions support" HAVE_SURVEY_TARGET_EXPRESSIONS "Requires flex and bison parser generators.")

if (ENABLE_PHP)
    find_package(Php)
    set_package_properties(Php PROPERTIES URL "http://php.net" TYPE RECOMMENDED PURPOSE "Syntax checking of PHP server code.")
endif()

if (ENABLE_PHP_UNIT)
    find_package(PhpUnit)
    set_package_properties(PhpUnit PROPERTIES URL "http://phpunit.de" TYPE RECOMMENDED PURPOSE "Unit tests for PHP server code.")
endif()

#
# Actually build the stuff
#
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
configure_file(config-userfeedback.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-userfeedback.h)

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if (ENABLE_DOCS)
    add_subdirectory(docs)
endif()

#
# CMake package config file generation
#
include(CMakePackageConfigHelpers)

set(_CONFIG_CMAKE_IN "KF6UserFeedbackConfig.cmake.in")

configure_package_config_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/${_CONFIG_CMAKE_IN}
    ${CMAKE_CURRENT_BINARY_DIR}/KF6UserFeedbackConfig.cmake
    INSTALL_DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6UserFeedback
    PATH_VARS KDE_INSTALL_INCLUDEDIR
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KF6UserFeedbackConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/KF6UserFeedbackConfigVersion.cmake
    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6UserFeedback
)

install(EXPORT KF6UserFeedbackTargets DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6UserFeedback FILE KF6UserFeedbackTarget.cmake NAMESPACE KF6::)

ecm_qt_install_logging_categories(
        EXPORT KUSERFEEDBACK
        FILE org_kde_UserFeedback.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

ecm_install_po_files_as_qm(poqm)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

install(FILES
    ${KF6UserFeedbackCore_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kuserfeedback_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KUserFeedback
)

## kf6-kuserfeedback 6.3.0

=== debian/changelog ===
kf6-kuserfeedback (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Modernize building by using dh-sequence build-dependencies and
    dropping manually specified addons and buildsystems for dh.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:44:22 +0200

kf6-kuserfeedback (6.0.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add Breaks+Replaces for libkf6userfeedback-data against
    libkuserfeedbackcoreqt6-1 which was also shipping the qt6 logging
    categories file. (Closes: #1069655)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 24 Apr 2024 23:42:05 +0200

kf6-kuserfeedback (6.0.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update Vcs links for the kf6 migration.
  * Update upstream links now that kuserfeedback is part of frameworks.
  * New upstream release (6.0.0).
  * Add kf6- prefix to source package, drop old libs, create new libs.
  * Add Breaks+Replaces against pre-kf6 -bin and -doc packages.
  * Add Breaks+Replaces against pre-kf6 libs. While the old and new libs have
    different soname and are technically coinstallable, they provide the same
    functionality.
  * Update build-deps and deps with the info from cmake.
  * Make use of declarative dh-sequence-kf6.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 15 Apr 2024 08:02:21 +0200

kuserfeedback (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 08 Nov 2023 07:05:26 +0100

kuserfeedback (1.3.0-2) experimental; urgency=medium

  * Team upload.
  * Split the localization files from libkuserfeedbackcore1 to a new
    libkuserfeedback-l10n, as they will be useful also for the Qt 6 version
    - add proper breaks/replaces
  * Build the Qt 6 libraries:
    - add the qt6-base-dev, qt6-declarative-dev, and qt6-tools-dev build
      dependencies
    - do not build the console and the command line utilities, as they conflict
      with the Qt 5 versions
    - add new configure, build, and test steps for a separate Qt 6 variant
    - add new qt6-kuserfeedback-dev, libkuserfeedbackcoreqt6-1,
      libkuserfeedbackwidgetsqt6-1, and qml6-module-org-kde-userfeedback
      binary packages as counterparts of their Qt 5 versions
  * Tweak the descriptions of all the Qt 5 packages to mention the Qt version.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Nov 2023 18:16:52 +0100

kuserfeedback (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
  * Small copyright update.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Nov 2023 08:24:58 +0100

kuserfeedback (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Bump the reference version used to cleanup the old
    /etc/xdg/org_kde_UserFeedback.categories to the same version of this
    changelog entry, as versions in the past do not work when upgrading.
  * Mark the xauth, and xvfb build dependencies as !nocheck, as they are needed
    only during dh_auto_test.

 -- Pino Toscano <pino@debian.org>  Wed, 23 Feb 2022 07:47:33 +0100

kuserfeedback (1.2.0-1) unstable; urgency=medium

  * Update upstream signing key for Jonathan Ridell.
  * New upstream release (1.2.0).
  * Added myself to the uploaders.
  * Update the list of installed files, gracefully handle move of
    org_kde_UserFeedback.categories from /etc to /usr.
  * Update symbols from build for 1.2.0.
  * Refresh copyright information.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Feb 2022 23:45:13 +0100

kuserfeedback (1.0.0-3) unstable; urgency=medium

  * Team upload.
  * Build the documentation only in -indep builds:
    - pass -DENABLE_DOCS=OFF to cmake in dh_auto_configure of -arch builds
    - pass -DENABLE_DOCS=ON to cmake in dh_auto_configure of -indep builds
    - move qdoc-qt5 as Build-Depends-Indep
    - drop the -DBUILD_QCH=ON cmake parameter, as it does not exist
  * Remove the unused doxygen build dependency.
  * Remove the unused debian/meta/ stuff.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Oct 2020 21:38:10 +0100

kuserfeedback (1.0.0-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Add qdoc-qt5 to B-D needed for archs without qtdoc-qt5 dependency
    inside qttools5-dev-tools.

 -- Sandro Knauß <hefee@debian.org>  Thu, 22 Oct 2020 11:02:51 +0200

kuserfeedback (1.0.0-1) unstable; urgency=medium

  [ Scarlett Moore ]
  * Remove libkuserfeedbackcore1.maintscript as this package
    is NEW and will not have dangling maint scripts.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add Salsa CI config with team builder enabled.
  * Update copyright file.
    - Add missing copyright.
    - Add Upstream-name, Upstream-Contact fields.
    - Fix Source to point to invent.kde.org repo.
  * Update Rules file.
    - Fix dh call to use symbols helper and kf5 buildsystem.
    - Remove defunkt qtselect export. Qt4 is no more.
    - Add hardening options to build maint export.
  * Update Maintainer to be debian-qt-kde team.
  * Add myself to uploaders.
  * Fix the control file entries.
    - kuserfeedback-bin: fix Multi-Arch to any, it is binaries.
      Remove section: doc as it is not docs. Fix multi-Arch to same.
      Improve the long description.
    - libkuserfeebackcore1: remove breaks/replace ( neon merge. ).
      Improve long description.
    - libkuserfeebackwidgets: remove breaks/replace ( neon merge. ).
      Improve long description.


=== debian/control ===
Source: kf6-kuserfeedback
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: bison,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.3.0~),
               flex,
               libxkbcommon-dev (>= 0.5.0~),
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-charts-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-documentation-tools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kuserfeedback
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback.git

Package: libkf6userfeedback-data
Section: localization
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkuserfeedbackcoreqt6-1,
Replaces: libkuserfeedbackcoreqt6-1,
Description: user feedback for applications - localization files
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the shared localizations for KUserFeedback.

Package: libkf6userfeedback-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kuserfeedback-bin,
Replaces: kuserfeedback-bin,
Description: user feedback for applications - executables
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the management and analytics applications.

Package: libkf6userfeedback-dev
Section: libdevel
Architecture: any
Depends: libkf6userfeedbackcore6 (= ${binary:Version}),
         libkf6userfeedbackwidgets6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Description: development files for KUserFeedback
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the development header files for KUserFeedback.

Package: libkf6userfeedback-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: kuserfeedback-doc,
Replaces: kuserfeedback-doc,
Description: user feedback for applications - documentation
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the documentation for KUserFeedback.

Package: libkf6userfeedbackcore6
Architecture: any
Multi-Arch: same
Depends: libkf6userfeedback-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6userfeedback-doc (= ${binary:Version}),
Breaks: libkuserfeedbackcoreqt6-1,
Replaces: libkuserfeedbackcoreqt6-1,
Description: user feedback for applications - core library
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the core library for KUserFeedback.

Package: libkf6userfeedbackwidgets6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: qml6-module-org-kde-userfeedback (= ${binary:Version}),
Breaks: libkuserfeedbackwidgetsqt6-1,
Replaces: libkuserfeedbackwidgetsqt6-1,
Description: user feedback for applications - widgets library
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the widgets library for KUserFeedback.

Package: qml6-module-org-kde-userfeedback
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: user feedback for applications - QML module
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the QML module for KUserFeedback.

## kf6-kuserfeedback 6.6.0

=== debian/changelog ===
kf6-kuserfeedback (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:08:10 +0100

kf6-kuserfeedback (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:24:52 +0100

kf6-kuserfeedback (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:36:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kuserfeedback
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
@@ -11,7 +12,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
@@ -26,8 +27,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kuserfeedback
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
 
 Package: libkf6userfeedback-data
 Section: localization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure-arch:
	dh_auto_configure -- -DENABLE_DOCS=OFF

override_dh_auto_configure-indep:
	dh_auto_configure -- -DENABLE_DOCS=ON

override_dh_auto_test:
	xvfb-run dh_auto_test --no-parallel

## kf6-kuserfeedback 6.9.0

=== debian/changelog ===
kf6-kuserfeedback (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:49:24 +0000

kf6-kuserfeedback (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 13:55:58 +0000

kf6-kuserfeedback (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:38:59 +0000

kf6-kuserfeedback (6.6.0-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 20:11:57 +0100

kf6-kuserfeedback (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of upstream release.
  * Add lintian override for UserFeedbackConsole having no manual, it
    has no command line arguments.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:00:04 +0200

kf6-kuserfeedback (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * CI: update/simplify configuration.
  * Backport upstream commit 9bb9187846a19c0f366ab9ce6369edd25086673d to make
    it possible to disable testOpenGLInfoSource using an environment variable;
    patch upstream_tests-allow-to-disable-testOpenGLInfoSource-using-en.patch.
  * Export KUSERFEEBACK_SKIP_TESTOPENGLINFOSOURCE=1 in rules to skip the
    testOpenGLInfoSource test, as creating an OpenGL context is not reliable
    on buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Aug 2024 17:12:07 +0200

kf6-kuserfeedback (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:00 +0200

kf6-kuserfeedback (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:12 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.6.0~),
+               dh-sequence-qmldeps,
+               extra-cmake-modules (>= 6.9.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
@@ -75,6 +76,7 @@
 Architecture: any
 Depends: libkf6userfeedbackcore6 (= ${binary:Version}),
          libkf6userfeedbackwidgets6 (= ${binary:Version}),
+         qml6-module-org-kde-userfeedback (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},
 Description: development files for KUserFeedback
@@ -159,7 +161,7 @@
 Package: qml6-module-org-kde-userfeedback
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: user feedback for applications - QML module
  Framework for collecting user feedback for applications via telemetry
  and surveys.

## kf6-kuserfeedback 6.10.0

=== debian/changelog ===
kf6-kuserfeedback (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:23:32 +0100

kf6-kuserfeedback (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:00:04 +0100

kf6-kuserfeedback (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:28 -0600

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kf6-kuserfeedback
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: bison,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.9.0~),
+               bison,
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.10.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
-               qt6-base-dev (>= 6.5.0~),
-               qt6-charts-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-charts-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.5.0~),
-               qt6-svg-dev (>= 6.5.0~),
+               qt6-svg-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -28,8 +27,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kuserfeedback
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback.git
 
 Package: libkf6userfeedback-data
 Section: localization
@@ -77,7 +76,7 @@
 Depends: libkf6userfeedbackcore6 (= ${binary:Version}),
          libkf6userfeedbackwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-userfeedback (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Description: development files for KUserFeedback
  Framework for collecting user feedback for applications via telemetry

## kf6-kuserfeedback 6.11.0

=== debian/changelog ===
kf6-kuserfeedback (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 16:59:27 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-sequence-qmldeps,
                bison,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,

## kf6-kuserfeedback 6.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
-set(KF_VERSION "6.6.0") # handled by release scripts
-set(KF_DEP_VERSION "6.6.0") # handled by release scripts
+set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_DEP_VERSION "6.12.0") # handled by release scripts
 project(KUserFeedback VERSION ${KF_VERSION})
 
 # ECM setup
@@ -35,6 +35,7 @@
 include(ECMQmlModule)
 include(FeatureSummary)
 include(GenerateExportHeader)
+include(ECMDeprecationSettings)
 
 include(ECMQtDeclareLoggingCategory)
 
@@ -49,7 +50,7 @@
 #
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.5.0)
+set(REQUIRED_QT_VERSION 6.6.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Network)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE QUIET OPTIONAL_COMPONENTS Widgets Charts Test Qml Svg PrintSupport)
 find_package(QmlLint)
@@ -107,6 +108,11 @@
 include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
 configure_file(config-userfeedback.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-userfeedback.h)
 
+ecm_set_disabled_deprecation_versions(
+    QT 5.15
+)
+
+
 add_subdirectory(src)
 
 if (BUILD_TESTING)
@@ -149,7 +155,7 @@
 ecm_install_po_files_as_qm(poqm)
 
 include(ECMFeatureSummary)
-ecm_feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 install(FILES
     ${KF6UserFeedbackCore_HEADERS}

=== autotests/CMakeLists.txt ===
configure_file(test-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/test-config.h)
if(TARGET KF6UserFeedbackConsole)
    add_library(KF6UserFeedbackTestUtils STATIC
        servercontroller.cpp servercontroller.h
    )
    target_link_libraries(KF6UserFeedbackTestUtils LINK_PUBLIC Qt6::Test KF6UserFeedbackConsole)
endif()

function(uf_add_test _file)
    get_filename_component(_name ${_file} NAME_WE)
    add_executable(${_name} ${_file})
    target_link_libraries(${_name} Qt6::Test ${ARGN})
    add_test(NAME ${_name} COMMAND ${_name})
endfunction()

uf_add_test(datasourcetest.cpp KF6UserFeedbackCore Qt6::Gui) # needs Gui for ScreenInfoSource to work
uf_add_test(openglinfosourcetest.cpp KF6UserFeedbackCore Qt6::Gui)
uf_add_test(providertest.cpp KF6UserFeedbackCore Qt6::Gui)
uf_add_test(selectionratiosourcetest.cpp KF6UserFeedbackCore Qt6::Gui)
uf_add_test(surveyprovidertest.cpp KF6UserFeedbackCore)

uf_add_test(feedbackconfigtest.cpp KF6UserFeedbackWidgets)

if(HAVE_SURVEY_TARGET_EXPRESSIONS)
    uf_add_test(surveytargetexpressiontest.cpp KF6UserFeedbackCommon)
endif()

if(TARGET KF6UserFeedbackConsole)
    uf_add_test(producttest.cpp KF6UserFeedbackConsole)
    uf_add_test(schematemplatetest.cpp KF6UserFeedbackConsole)
    uf_add_test(sampletest.cpp KF6UserFeedbackConsole)
    uf_add_test(serverinfotest.cpp KF6UserFeedbackConsole)

    uf_add_test(schemamodeltest.cpp KF6UserFeedbackTestUtils)
    uf_add_test(datamodeltest.cpp KF6UserFeedbackTestUtils)
    uf_add_test(timeaggregationmodeltest.cpp KF6UserFeedbackTestUtils)
    uf_add_test(categoryaggregationmodeltest.cpp KF6UserFeedbackTestUtils)
    uf_add_test(numericaggregationmodeltest.cpp KF6UserFeedbackTestUtils)
    uf_add_test(ratiosetaggregationmodeltest.cpp KF6UserFeedbackTestUtils)
endif()

if(ENABLE_PHP)
    list(FIND PHP_MODULES "PDO" _has_pdo)
    if(TARGET KF6UserFeedbackConsole AND _has_pdo GREATER -1)
        uf_add_test(productapitest.cpp KF6UserFeedbackTestUtils)
        uf_add_test(productmodeltest.cpp KF6UserFeedbackTestUtils)
        uf_add_test(surveyapitest.cpp KF6UserFeedbackTestUtils)
        uf_add_test(submittest.cpp KF6UserFeedbackTestUtils KF6UserFeedbackCore Qt6::Gui)
    endif()

    set(php_test_srcs
        utilstest.php
        schemaentrytest.php
        schemaentryelementtest.php
        producttest.php
        sampletest.php
        surveytest.php
        aggregationtest.php
    )

    php_lint(datastoretesthelper.php)
    php_lint(${php_test_srcs})
    if(PhpUnit_FOUND)
        foreach(_php_test ${php_test_srcs})
            add_test(NAME ${_php_test} COMMAND ${PHPUNIT_EXECUTABLE} ${_php_test} WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
        endforeach()
    endif()
endif()

=== src/cli/CMakeLists.txt ===
set(uf_cli_srcs
    main.cpp
)

add_executable(userfeedbackctl ${uf_cli_srcs})
target_compile_features(userfeedbackctl PRIVATE cxx_generic_lambdas)
target_link_libraries(userfeedbackctl KF6UserFeedbackConsole)
install(TARGETS userfeedbackctl ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/provider/widgets/CMakeLists.txt ===
set(userfeedback_widgets_srcs
    feedbackconfigdialog.cpp
    feedbackconfigwidget.cpp
    notificationpopup.cpp
    styleinfosource.cpp
    auditlogbrowserdialog.cpp

    feedbackconfigdialog.h
    feedbackconfigwidget.h
    notificationpopup.h
    styleinfosource.h
    auditlogbrowserdialog.h
)

add_library(KF6UserFeedbackWidgets ${userfeedback_widgets_srcs})
add_library(KF6::UserFeedbackWidgets ALIAS KF6UserFeedbackWidgets)

set_target_properties(KF6UserFeedbackWidgets PROPERTIES
    SOVERSION ${KUSERFEEDBACK_SOVERSION}
    VERSION ${KUSERFEEDBACK_VERSION}
    EXPORT_NAME UserFeedbackWidgets
)
generate_export_header(KF6UserFeedbackWidgets BASE_NAME KUserFeedbackWidgets)
target_link_libraries(KF6UserFeedbackWidgets PUBLIC Qt6::Widgets KF6UserFeedbackCore)
target_include_directories(KF6UserFeedbackWidgets PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR}>")
target_include_directories(KF6UserFeedbackWidgets INTERFACE
                           "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KUserFeedback;${KDE_INSTALL_INCLUDEDIR}>"
                           "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KUserFeedbackWidgets;${KDE_INSTALL_INCLUDEDIR}>"
                          )

ecm_generate_headers(KUserFeedbackWidgets_CamelCase_HEADERS
    HEADER_NAMES
        FeedbackConfigDialog
        FeedbackConfigWidget
        NotificationPopup
        StyleInfoSource
    PREFIX KUserFeedback
    REQUIRED_HEADERS KUserFeedbackWidgets_HEADERS
)

install(TARGETS KF6UserFeedbackWidgets EXPORT KF6UserFeedbackTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kuserfeedbackwidgets_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KUserFeedbackWidgets
    COMPONENT Devel
)
install(FILES
    ${KUserFeedbackWidgets_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KUserFeedbackWidgets/kuserfeedback
    COMPONENT Devel
)

install(FILES
    ${KUserFeedbackWidgets_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KUserFeedbackWidgets/KUserFeedback
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KF6UserFeedbackWidgets
                      LIB_NAME KF6UserFeedbackWidgets
                      DEPS "KF6UserFeedbackCore widgets"
                      FILENAME_VAR PRI_FILENAME
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kf6-kuserfeedback (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:55:14 +0000

kf6-kuserfeedback (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:50:26 +0000

kf6-kuserfeedback (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:21:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: kf6-kuserfeedback
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: bison,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               bison,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-charts-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0~),
+               qt6-charts-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
-               qt6-svg-dev (>= 6.6.0~),
+               qt6-svg-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -27,8 +28,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kuserfeedback
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
 
 Package: libkf6userfeedback-data
 Section: localization
@@ -76,7 +77,7 @@
 Depends: libkf6userfeedbackcore6 (= ${binary:Version}),
          libkf6userfeedbackwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-userfeedback (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},
 Description: development files for KUserFeedback
  Framework for collecting user feedback for applications via telemetry

## kf6-kuserfeedback 6.13.0

=== debian/changelog ===
kf6-kuserfeedback (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:34:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: kf6-kuserfeedback
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: bison,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.12.0~),
+               bison,
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.13.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
-               qt6-base-dev (>= 6.5.0~),
-               qt6-charts-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-charts-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.5.0~),
-               qt6-svg-dev (>= 6.5.0~),
+               qt6-svg-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-documentation-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kuserfeedback
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback.git
 
 Package: libkf6userfeedback-data
 Section: localization
@@ -77,7 +76,7 @@
 Depends: libkf6userfeedbackcore6 (= ${binary:Version}),
          libkf6userfeedbackwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-userfeedback (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Description: development files for KUserFeedback
  Framework for collecting user feedback for applications via telemetry

## kf6-kuserfeedback 6.16.0

=== debian/changelog ===
kf6-kuserfeedback (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:48:39 +0100

kf6-kuserfeedback (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:35:54 +0100

kf6-kuserfeedback (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)
  * Drop libkf6userfeedback-bin package, as the app and cli binaries are
    no longer built by default.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:00:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,35 @@
 Source: kf6-kuserfeedback
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: bison,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               bison,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-charts-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0~),
+               qt6-charts-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
-               qt6-svg-dev (>= 6.6.0~),
+               qt6-svg-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-documentation-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kuserfeedback
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
 
 Package: libkf6userfeedback-data
 Section: localization
@@ -51,32 +52,13 @@
  .
  This package contains the shared localizations for KUserFeedback.
 
-Package: libkf6userfeedback-bin
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: kuserfeedback-bin,
-Replaces: kuserfeedback-bin,
-Description: user feedback for applications - executables
- Framework for collecting user feedback for applications via telemetry
- and surveys.
- .
- Telemetry
-  * Extensible set of data sources for telemetry.
-  * Full control for the user on what data to contribute.
- Surveys
-  * Distribute surveys and offer users to participate in them.
-  * Survey targeting based on telemetry data.
-  * Allow the user to configure how often they want to participate in surveys.
- .
- This package contains the management and analytics applications.
-
 Package: libkf6userfeedback-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6userfeedbackcore6 (= ${binary:Version}),
          libkf6userfeedbackwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-userfeedback (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},
 Description: development files for KUserFeedback
  Framework for collecting user feedback for applications via telemetry
